:root {
  --bg-body: #000000;
  --bg-app: #000000;
  
  --text-main: #fafafa;
  --text-muted: #a8a8a8; 

  --primary: #301981;    
  --primary-hover:#301981a3;
  
  --danger: #ed4956;  
  --success: #00c853;

  --bubble-me: #301981; 
  --bubble-peer: #262626; 

  --border-color: #262626; 

  --bord-rads:12px;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Inter', sans-serif;
}

html, body {
  width: 100%;
  height: 100%;
  overflow: hidden;
}

html, body {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%; 
  height: 100dvh;
  overflow: hidden;
}

body {
  background-color: var(--bg-body);
  color: var(--text-main);
  display: flex;
  flex-direction: column; 
}

#app-container {
  width: 100%;
  height: 100%; 
  display: flex;
  flex-direction: column;
  background-color: var(--bg-app);
}

@media (min-width: 640px) {
  body {
    justify-content: center;
    align-items: center;
    background-color: #181818;
  }
  #app-container {
    max-width: 600px;
    height: 90vh;
    border-radius: 20px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.5);
    overflow: hidden;
  }
}

.screen {
  display: none;
  flex-direction: column;
  height: 100%;
}
.screen.active {
  display: flex;
}


#login-screen {
  justify-content: center;
  align-items: center;
  padding: 2rem;
}

.login-card {
  text-align: center;
  width: 100%;
  max-width: 400px;
}

.login-card h1 {
  font-size: 2.2rem;
  margin-bottom: 0.5rem;
}

.login-card p {
  color: var(--text-muted);
  margin-bottom: 2rem;
  font-size: 1.1525rem;
}

.input-group {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  margin-bottom: 1.2rem;
}

input {
  flex: 1 1 150px; 
  min-width: 70%; 
  padding: 12px 16px;
  border-radius: var(--bord-rads);
  border: none;
  background-color: var(--bubble-peer);
  color: white;
  font-size: 1.2rem;
  outline: none;
  transition: border 0.2s;
  height: 50px;
}

button {
  flex: 1 1 auto;
  flex-shrink: 0;
  background-color: var(--primary);
  color: white;
  border: none;
  padding: 12px 20px 12px;
  border-radius:  var(--bord-rads);
  font-size: 1.2rem;
  font-weight: 500;
  cursor: pointer;
  transition: 0.2s;
  height: 50px;
}

button:hover { 
  background-color: var(--primary-hover);
}

#status-text {
  font-size: 0.9rem;
  color: var(--text-muted);
  min-height: 20px;
}

.chat-header {
  padding: 1rem 1.5rem;
  background-color:var(--bg-app);
  border-bottom: 1px solid var(--border-color);
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.chat-header h3 { 
  font-size: 1.3rem; 
  font-weight: 600; 
}

.header-lock{
  transform: translateY(4px);
  font-size: 1.6rem;
}

#chat-messages {
  flex: 1;
  padding: 1.5rem;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  gap: 12px;
}


#chat-messages::-webkit-scrollbar {
  width: 0px; 
}

.msg-wrapper {
  display: flex;
  width: 100%;
  animation: slideInUp 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}
@keyframes slideInUp {
  0% { 
    opacity: 0; 
    transform: translateY(10px); 
  }
  100% { 
    opacity: 1; 
    transform: translateY(0); 
  }
}

.msg-wrapper.me { 
  justify-content: flex-end; 
}
.msg-wrapper.peer { 
  justify-content: flex-start; 
}

.msg-bubble {
  max-width: 75%;
  padding: 10px 14px;
  border-radius: 12px;
  font-size: 1.2rem;
  line-height: 1.4;
  word-wrap: break-word;
  box-shadow: 0 1px 2px rgba(0,0,0,0.1);
}

.me .msg-bubble { 
  background-color: var(--bubble-me);
  border-bottom-right-radius: 2px;
}
.peer .msg-bubble { 
  background-color: var(--bubble-peer); 
  border-bottom-left-radius: 2px;
}

.chat-input-area {
  padding: 1rem 1.5rem;
  background-color: var(--bg-app);
  border-top: 1px solid var(--border-color);
  display: flex;
  gap: 10px;
  align-items: center; 
}

.chat-input-area input { 
  padding: 0 16px; 
  border-radius: var(--bord-rads);
  flex: 1; 
  min-width: 0;
  border: 1px solid var(--border-color);
  background-color: var(--bubble-peer);
  color: white;
  font-size: 1.2rem;
  outline: none;
  transition: border 0.2s;
}

#send-btn {
  width:50px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  padding-left: 3px;
  flex: none;
  border-radius: 16px;
  background-color: var(--primary);
  color: white;
  border: none;
  font-size: 1.6rem;
  cursor: pointer;
  transition: 0.2s;
}















